# LVM setup on Storware Backup & Recovery Node for disk attachment backup mode

{% hint style="info" %}
**Note:** This is required for backup of virtual environments when using disk attachment mode, such as Nutanix backups.
{% endhint %}

Storware Backup & Recovery Node attaches VM disks that potentially are clones of its own (for example if Node deployed from the template) - you need to configure LVM on the Node so that it doesn't scan for LVM volumes where disks are being attached.

1. Set the following variables in `/etc/lvm/lvm.conf` in `devices` section - so that only system volumes are being detected by LVM daemon (in this example sda disk with 2 partitions - sda1 and sda2):

   ```
   devices {
            filter = [ "a|^/dev/sda|", "a|^/dev/sda1|", "a|^/dev/sda2|", "r|.*|" ]
            global_filter = [ "a|^/dev/sda|", "a|^/dev/sda1|", "a|^/dev/sda2|", "r|.*|" ]
   }

   ```
2. Check with `vgscan -vvv` that your OS volumes are still being detected:

   ```
        Allocated VG vg_vprotect at 0x55914f19fac0.
        Importing logical volume vg_vprotect/lv_root.
        Importing logical volume vg_vprotect/lv_swap.
   ```
3. Reboot:

   ```
   reboot
   ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/backup-and-recovery-7.3/deployment/common-tasks/lvm-setup-on-storware-backup-and-recovery-node-for-disk-attachment-backup-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
